
Auto Multiple Choice - Bug # 111: Avec un questionnaire au format AMC-TXT le pdf généré n'est pas 
cohérent pour le recto-verso
Author: Joël Brogniart Category:
Description: Dans un projet où le document des questions est au format AMT-TXT et que le réglage est sur "réponses sur 

feuille séparée", la gestion recto-verso n'est pas cohérente entre la partie questions et la partie réponse.

Le document PDF généré est organisé pour être imprimé en recto verso, mais uniquement à l'intérieur d'un 
seul questionnaire. Si par exemple on génère un questionnaire en 2 exemplaire et que la partie question tient 
sur une seule page et la partie réponse sur une seule page, Le pdf a la page 1 avec la page question du 1er 
questionnaire, la page 2 est une page blanche version de la page 1, la page 3 la page réponse du 1er 
questionnaire et la page 4 au lieu d'être le recto de la page réponse est la page question du 2ème 
questionnaire.

Si on imprime, en dehors de AMC, le document pdf en recto verso, les impressions ne sont pas correcte 
puisque la page 1 du questionnaire 2 sera imprimée au dos de la page réponses du questionnaire 1. Si on 
n'imprime pas en recto verso, la page 2 est inutile.

History
12/21/2012 10:31 am - Alexis Bienvenüe
Cette mise en page ne pose pas de problème si on utilise AMC pour imprimer les sujets, mais comme l'impression depuis AMC pose des problèmes 
sous OSX, je pense que je vais ajouter une option de configuration ou quelque chose pour produire des sujets qui peuvent être imprimés d'un seul 
coup en-dehors d'AMC.
Pour l'instant, il vous reste également la possibilité d'"imprimer" depuis AMC dans des fichiers, et d'imprimer tous ces fichiers en-dehors d'AMC. Par 
contre, je ne sais pas s'il existe sous OSX un utilitaire qui permet d'imprimer facilement une (éventuellement) grande quantité de fichiers....

12/25/2012 09:29 am - Joël Brogniart
Il n'y a pas de problème sous OS X pour imprimer plusieurs fichier directement à partir du gestionnaire de fichier (le Finder) mais je ne sais pas s'il y a 
une limite au nombre de fichier que l'on peut imprimer de cette manière. Je suppose que oui.

01/13/2013 02:34 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset r1285.

01/13/2013 02:36 pm - Alexis Bienvenüe
À partir de la révision r1285, vous pouvez utiliser l'option générale

  ManualDuplex: 1

dans votre sujet AMC-TXT, qui donnera des copies ayant un nombre pair de pages.

02/07/2013 03:28 pm - Joël Brogniart
Je viens, enfin, de tester l'option ManualDuplex. Cette option génère bien un pdf ou l'ensemble partie question + partie réponse comprend un nombre 
pair de page.

Malheureusement, avec cette option, si la partie question comprend un nombre impair de page et la partie réponse une page, la partie réponse est 
alors au recto de la dernière page de la partie question lorsqu'on imprime les sujets en dehors d'AMC. Ce qui fait qu'on ne peut plus envisager de 
ramasser seulement la partie réponse et laisser la partie question aux personnes interrogées lors d'un examen.

Ce que je souhaitais initialement, c'est la possibilité d'imprimer le pdf de manière simple en dehors de AMC. Si on travaille en recto verso, est qu'on 
veut rendre la partie question et la partie réponse indépendantes (pour pouvoir laisser la partie question aux examinés par exemple), il faudrait que la 
partie question comporte un nombre pair de pages et la partie réponse aussi. Si on ne travaille pas en recto verso, il n'est pas nécessaire d'avoir un 
nombre particulier de pages, ni pour la partie question, ni pour la partie réponse.

02/08/2013 09:36 am - Alexis Bienvenüe
> la partie réponse est alors au recto de la dernière page de la partie question
Pouvez-vous joindre votre fichier source ? Je n'ai pas ce problème sur les petits exemples que j'ai essayé.

02/08/2013 09:52 am - Joël Brogniart
- File Archive.zip added

Voici le fichier que j'utilise pour mes tests. Il y a une version qui donne un nombre pairs de page et l'autre un nombre impair. Je teste en générant 10 
copies.

02/08/2013 09:56 am - Joël Brogniart
Dans les fichiers que j'ai envoyé je crois avoir commenté la ligne avec ManualDuplex.

02/08/2013 10:07 am - Alexis Bienvenüe
Merci pour ce bel exemple. Ça devrait maintenant marcher avec la révision r1308.

02/08/2013 11:17 am - Joël Brogniart
Super. Ça marche. L'option SingleSided aussi. Merci.

Je voudrais mettre à jour l'information sur [[Installation de la version de développement d'AMC sous OS X Mountain Lion]], mais je ne sais pas 
comment supprimer un fichier. J'avais déjà ajouté une nouvelle version du fichier macports.zip mais le lien sur la page pointe toujours sur la première 
version. Là je voudrais mettre une version pour installer la r1308.

02/08/2013 11:34 am - Alexis Bienvenüe
> je ne sais pas comment supprimer un fichier.
Je vous ai ajouté au groupe _Wiki_ pour que vous puissiez le faire.

02/08/2013 11:50 am - Joël Brogniart
Merci. Les fichiers et la page ont été mis à jour pour la révision r1309.

03/08/2013 09:41 pm - Alexis Bienvenüe
- Target version set to 1.2.0

- Status changed from Resolved to Closed

Files
Archive.zip 7.2 kB 02/08/2013 Joël Brogniart
